Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592500 - Review Request: libeatmydata - Disable fsync() and friends
Summary: Review Request: libeatmydata - Disable fsync() and friends
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-05-15 01:39 UTC by Zing
Modified: 2015-01-23 16:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:27:01 UTC


Attachments (Terms of Use)

Description Zing 2010-05-15 01:39:02 UTC
Spec URL: http://shishz.fedorapeople.org/libeatmydata.spec
SRPM URL: http://shishz.fedorapeople.org/libeatmydata-15-1.fc12.src.rpm

Description:
LD_PRELOAD library that disables all forms of writing data safely to
disk. fsync() becomes a NO-OP, O_SYNC is removed etc. The idea is to
use in testing to get faster test runs where real durability is not
required.

DO NOT use libeatmydata on software where you care about what it stores.
It's called libEAT-MY-DATA for a reason.

Comment 1 Jason Tibbitts 2010-11-19 17:54:01 UTC
I think there's a newer upstream release available.

Here's the rpmlint output; you should provide this yourself when submitting packages:

  libeatmydata.x86_64: E: no-ldconfig-symlink /usr/lib64/libeatmydata.so.1.0
Not sure how problematic this is, honestly.

  libeatmydata.x86_64: W: shared-lib-calls-exit
   /usr/lib64/libeatmydata.so.1.0 _exit@GLIBC_2.2.5
Generally libraries shouldn't call exit.  Especially this one.  Any idea why it does so?

  libeatmydata.x86_64: W: no-manual-page-for-binary eatmydata
It's nice to have manual pages but not essential.

  libeatmydata-debuginfo.x86_64: E: debuginfo-without-sources
This indicates something wrong with the build process, either because something strips them or because the compiler flags aren't correct.  In this case, it's the compiler flags.  You need to somehow make the package build process use %{optflags} (or $RPM_OPT_FLAGS; they're the same).

Comment 2 Zing 2010-12-07 03:54:22 UTC
Although I submitted this, if anyone wants to pick this up and maintain this for fedora, they are welcome to.

Comment 3 Rudd-O DragonFear 2012-07-17 01:35:09 UTC
Will someone pick this up?

Comment 4 Rudd-O DragonFear 2012-07-17 01:57:47 UTC
I have a better and upstream-up-to-date spec file

https://gist.github.com/3126484

De nada.

Comment 5 Dave Love 2015-01-23 16:58:37 UTC
For what it's worth, there's a currently-current srpm with several updates at
https://loveshack.fedorapeople.org/copr/libeatmydata-105-1.el6.src.rpm
and a copr build under http://copr.fedoraproject.org/coprs/loveshack/livhpc


Note You need to log in before you can comment on or make changes to this bug.